<?php if (basename($_SERVER['PHP_SELF']) == basename(__FILE__)) header('location: ./');

function f_ItemsFolder_a($sDir, $sNon='', $sOui='') {
// Fonction listant tous les dossiers ou fichiers contenus dans le dossiers fourni.
	$s = BS; // chr(8)
	$bNon = (bool)(strlen($sNon));
	$bOui = (bool)(strlen($sOui));
	$aList = array();
	if ($rDir = @opendir($sDir)) {
		while (($sItem = readdir($rDir)) !== false) {
			if ($sItem[0] == '.') { 
				continue; 
			} elseif ($bNon && (strpos($s.$sItem, $sNon))) { 
				continue; 
			} elseif ($bOui && (strpos($s.$sItem, $sOui))) { 
				$aList[] = $sItem;
			} elseif (!$bNon && !$bOui) { 
				$aList[] = $sItem;
			}
		}
		closedir($rDir);
	}
	return $aList;
}

function f_ArrayToArrayKey_a($aList, $sNon='', $sPfx='', $sSfx='') {
// Fonction pour retourner un tableau indexé en tableau associatif.
	$aRes = array();
	if (strlen($sNon)) {
		foreach ($aList as $sCle => $sVal) {
			$aVal = explode($sNon, $sVal);
			$aRes[$sPfx.end($aVal).$sSfx] = end($aVal);
		}
	} else {
		foreach ($aList as $sCle => $sVal) {
			$aRes[$sPfx.$sVal.$sSfx] = $sVal;
		}
	}
	return $aRes;
}

function f_ArrayToOptions_s($aList, $sDft='') {
// Fonction pour construire les options d'un menu-popup a partir d'une liste fournie.
	$aSel = array('', ' selected="selected"');
	$aRes = array();
	foreach ($aList as $sCle => $sVal) {
		$aRes[] = '<option value="'.$sCle.'"'.$aSel[$sCle == $sDft].'>'.$sVal.'</option>';
	}
	return implode(EL, $aRes).EL;
}

/* End of file fonctions.php */
