<?php
// Constantes-Config et fonctions
include_once 'config.php';
include_once 'fonctions.php';

// Liste des projets et fabrication du popup-menu de navigation
$aApp = f_ItemsFolder_a(SELF_DIR_PTH, '', APP_PFX);
$aOpt = f_ArrayToArrayKey_a($aApp, '', DS, DS.'index.php');
$sOpt = f_ArrayToOptions_s($aOpt, '0');
?>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Mes projets CodeIgniter !</title>
<style type="text/css">
::selection { background-color: #E13300; color: white; }
::moz-selection { background-color: #E13300; color: white; }
::webkit-selection { background-color: #E13300; color: white; }
body { background-color: #eee; margin: 40px; font-family: Verdana, sans-serif; font-size: 14px; color: #4F5155; }
a { color: #003399; background-color: transparent; font-weight: normal; border: none; text-decoration: none; outline: none; }
a:hover { color: #993300; }
h1 { font-family: Georgia, serif; color: #444; background-color: transparent; border-bottom: 1px solid #C0C0C0; font-weight: normal; margin: 0 0 14px 0; padding: 14px 15px 10px 15px; }
code { font-family: 'Courier New', Courier, monospace; font-size: 12px; background-color: #f9f9f9; border: 1px solid #C0C0C0; color: #002166; display: block; margin: 14px 0px; padding: 12px 8px; }
#body { margin: 0 15px 0 15px; }
p.footer { text-align: center; font-size: 11px; border-top: 1px solid #C0C0C0; line-height: 32px; padding: 0px 10px; margin: 20px 0 0 0; }
#container { margin: 10px; background-color: #fff; border: 1px solid #C0C0C0; -webkit-box-shadow: 0 0 8px #C0C0C0;  border-radius: 8px; }
#prj { width: 400px; height: 20px; font-size: 16px; padding: 2px 4px; }
#k { margin: 10px 0px; padding: 0px; text-align: center; font-size: 8px; line-height: 8px; opacity: 0.5; }
#k a { display: block; width: 16px; height: 16px; margin: 0px auto; padding: 0px; border: none; background-repeat: no-repeat; background-position: right center; }
#k a { background-image: url('data:image/gif;base64,R0lGODlhIAAQAKIAADIyMpWVlZiYmP///wAAAAAAAAAAAAAAACH5BAkAAAQALAAAAAAgABAAAAM/SLrc/nABEJsQVU6a783ExlUeBk6g8qVs674Kmq7n2JmZCJa1THo5kc0RKAUqwqGlhHMkfUtmk/FUqqRTWCoBADs='); } /* Mini-logo FredoMkb */
#k a:hover { background-position: left center; }
</style>
<script type="text/javascript"><!--
function _prj(oObj, sNon) {
var sVal = oObj.options[oObj.selectedIndex].value;
var uDbt = "<?php echo SELF_DIR_URL; ?>";
var uFin = "";
if (sVal !== sNon) { 
	window.open(uDbt+sVal+uFin, "_blank"); 
	oObj.selectedIndex = 0;
}
}
--></script>
</head>
<body>
<div id="container">
<h1>Mes projets CodeIgniter !</h1>
<div id="body">
<p>Les projets en cours de développement sont les suivants :</p>
<p>
<select id="prj" name="prj" size="1" onchange="_prj(this,this.options[0].value);">
<option value="choix">Choisir un projet :</option>
<?php echo $sOpt; ?>
</select>
</p>
</div>
<p class="footer"><a href="zAide/index.html" title="Aide CI" target="_blank">Aide CodeIgniter</a>&nbsp;|&nbsp;<a href="http://ellislab.com/codeigniter" title="Site CI" target="_blank">Site CodeIgniter</a>&nbsp;|&nbsp;<a href="http://forum.macfr.com/index.php?showtopic=26700" title="MacFr" target="_blank">Discussion sur MacFr</a></p>
</div>
<div id="k"><a href="http://fredomkb.free.fr/" title="FredoMkb &copy; 2012" target="_blank">&nbsp;</a></div>
</body>
</html>